from __future__ import unicode_literals

from django.test import SimpleTestCase
from core.models import ElectionVote, UniqueVote


class ElectionVoteTest(SimpleTestCase):
    """ """
    def test_str_equal_to_election_id(self):
        instance = ElectionVote(signed_vote_hash="dummy")
        self.assertEqual(str(instance), str(instance.signed_vote_hash))


class UniqueVoteTest(SimpleTestCase):
    """ """
    def test_str_equal_to_election_id(self):
        instance = UniqueVote(unique_vote_bulletin="dummy")
        self.assertEqual(str(instance), str(instance.unique_vote_bulletin))
